### Function

# Secret password_lookupv

unstable since: 1

#### Declaration [src]

    void
    secret_password_lookupv (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup a password in the secret service.

The `attributes` should be a set of key and value string pairs.

If no secret is found then `NULL` is returned.

This method will return immediately and complete asynchronously.

Available since: 1

This method is renamed to `secret_password_lookup()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The called function takes ownership of the data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.